%define nspr_version 4.6
%define nss_version 3.11

Summary:          Secure PIN handling using NSS crypto
Name:             svrcore
Version:          4.0.4
Release:          %mkrel 4
License:          MPLv1.1 or GPLv2+ or LGPLv2+
URL:              http://www.mozilla.org/projects/security/pki/
Group:            Security
Requires:         nspr >= %{nspr_version}
Requires:         nss >= %{nss_version}
BuildRequires:    nspr-devel >= %{nspr_version}
BuildRequires:    nss-devel >= %{nss_version}
BuildRequires:    pkgconfig

Source0:          ftp://ftp.mozilla.org/pub/mozilla.org/directory/svrcore/releases/%{version}/src/%{name}-%{version}.tar.bz2

%description
svrcore provides applications with several ways to handle secure PIN storage
e.g. in an application that must be restarted, but needs the PIN to unlock
the private key and other crypto material, without user intervention.  svrcore
uses the facilities provided by NSS.

%package devel
Summary: 	Development files for secure PIN handling using NSS crypto
Group: 		Development/C
Requires: 	%{name} = %{version}-%{release}
Requires: 	nspr-devel >= %{nspr_version}
Requires: 	nss-devel >= %{nss_version}
Requires: 	pkgconfig

%description devel
svrcore provides applications with several ways to handle secure PIN storage
e.g. in an application that must be restarted, but needs the PIN to unlock
the private key and other crypto material, without user intervention.  svrcore
uses the facilities provided by NSS.

This package contains header files and symlinks to develop programs which will
use the libsvrcore library.  You should install this package if you need to
develop programs which will use the svrcore library.

%prep
%setup -q

%build

autoreconf --force --install
./configure   --libdir=%{_libdir} \
              --includedir=%{_includedir}

%make

%install
%{__rm} -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/libsvrcore.a
rm -f $RPM_BUILD_ROOT%{_libdir}/libsvrcore.la

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc LICENSE README NEWS
%{_libdir}/libsvrcore.so.*

%files devel
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libsvrcore.so
%{_includedir}/svrcore.h


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 4.0.4-4.mga4
+ Revision: 519472
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 4.0.4-3.mga3
+ Revision: 383834
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 malo <malo> 4.0.4-2.mga3
+ Revision: 308977
- update RPM group

* Sun Jul 15 2012 spuhler <spuhler> 4.0.4-1.mga3
+ Revision: 271119
- corrected group in devel section
- imported package svrcore

